Subject: bug#18629: 25.0.50; Yanking text on a MS-Windows console

From: Stefan Monnier <[email-masked]>
Date: Sat, 04 Oct 2014 18:43:45 -0400

> (OS: MS-Windows 8)
> Recipe:
>   Copy some text in the system clipboard.
>   emacs -nw -Q
>   C-x h C-w C-y

> The yanked text is not the one just killed, but the contents of the
> clipboard.  And (FWIW) if I type M-y (just after the C-y), then I get
> the killed text.

Obviously, that's a mess up of mine.  But since I can't test under w32,
I'm going to need your help.

So, to get started, can you `trace-function' on gui-select-text,
gui-selection-value and then reproduce the above (and show me the
resulting trace)?

One more thing: if you don't do the C-w, what is the expected behavior?
IOW did the w32 console use the w32 clipboard?

        Stefan